from flask import Flask, request, make_response, render_template
app = Flask(__name__)

@app.route('/get')
def get_cookie():
    username = request.cookies.get('username')  # 클라이언트의 쿠키로부터 정보를 얻기
    return render_template('cookie_hello.html', name=username)  # Html문자열을 Flask에서 암묵적으로 Response객체로 변환해서 브라우징
    # resp = render_template('cookie_hello.html', name=username)
    # return resp
    
@app.route('/add/<user>')
def add_cookie(user):
    resp = make_response(render_template('cookie_add.html', name=user)) # make_response함수는 개발자가 명시적으로 Response객체로 변환
    resp.set_cookie('username', user)   # 쿠키로 정보를 저장 후 응답하면, 클라이언트 컴퓨터에 저장
    return resp

if __name__ == "__main__":
    app.run(host="127.0.0.1", port="8080")